#!/opt/bin/php-cli -q
<?php
//---------------------------
require_once(dirname(__FILE__).'/../funcs/dc_funcs.inc');
define('ast_inc', dirname(__FILE__).'/../generated/');

file_put_contents(ast_inc.'manager.inc', "[".def_as_username."]
secret=".def_as_password."
deny=0.0.0.0/0.0.0.0
permit=127.0.0.1/255.255.255.255
read = system,call,log,verbose,agent,user,config,dtmf,reporting,cdr,dialplan
write = system,call,agent,user,config,command,reporting,originate
");

$dc_content = $sip_content = $iax_register = $iax_content = "";

foreach($voip_db_srvs as $imei => $dc)
{
    $is_sip = (!array_key_exists('proto', $dc) || (strtolower($dc['proto']) == 'sip'));
    $number = $dc['number']; $peer = $dc['peer']; $secret = $dc['secret'];

    if ($is_sip) {
	$sip_content .= "[".$peer."](ruvoip)\n".
	    "defaultuser=".$peer."\n".
	    "callbackextension=".$peer."\n".
	    "setvar=dc_dongle=".$number."\n".
	    ((array_key_exists('secret', $dc)) ? "secret=".$dc['secret']."\n" : "").
	    "\n";
    } else {
	$iax_register .= "register=>".$peer.":".$secret."@85.142.148.80\n";
	$iax_content .= "[".$peer."](ruvoip)\n".
	    "username=".$peer."\n".
	    "setvar=dc_dongle=".$number."\n".
	    "secret=".$secret."\n".
	    "\n";
    }

    $dc_content .= "[".$number."]\n".
	"imei=".$imei."\n\n";
}

file_put_contents(ast_inc.'sip_servers.inc', $sip_content);
file_put_contents(ast_inc.'iax_register.inc', $iax_register);
file_put_contents(ast_inc.'iax_servers.inc', $iax_content);
file_put_contents(ast_inc.'dongles.inc', $dc_content);
