<?php
//---------------------------

require_once(dirname(__FILE__).'/dc_funcs.inc');

require_once(dirname(__FILE__).'/../agi-bin/phpagi-asmanager.php');

define('balance_log', 'balance.log');

// -----------------------------------------------------------------

function dump_event($ecode, $data, $server, $port) {
    dc_log_event(" received event '$ecode' from $server:$port\n".
	print_r($data,true)."\n\n",balance_log);
}

// -----------------------------------------------------------------

function get($data, $l, $len) {
    return trim(substr($data,$l,$len));
}

function get2($row, $title, $ident) {
    if (($pos = strpos($title, $ident)) === false) return "";
    $len = strlen($ident); $len2 = strlen($title)-$pos;
    while (($len < $len2) && ($title[$pos+$len+1] == " ")) $len++;
    return get($row, $pos, $len);    
}

// -----------------------------------------------------------------

function GetDatacards(&$as) {
    $datacards = array();
    $result = $as->command('dongle show devices');
    if (is_array($result)&&($result['Response'] == 'Follows')) {
        $idx = 0;
        foreach(explode("\n", $result['data']) as $row) {
	    if ($idx == 0) { /* nothing! Result: "Privilege: Command" */ }
	    elseif ($idx == 1) { $title = $row; }
	    elseif ($row != "") {
		$id = get2($row, $title, "ID");
		$datacards[$id] = array(
		    "State" => get2($row, $title, "State"),
		    "Provider" => get2($row, $title, "Provider Name"),
		    "IMEI" => get2($row, $title, "IMEI"),
		);
            }
	    $idx++;
        }
    }
    return $datacards;
}

function DatacardSMSClearBank(&$as, $id) {
    $result = $as->command("dongle cmd ".$id." AT+CMGD=1,4");
    //if (is_array($result)&&($result['Response'] == 'OK'))
	return true;
    //return false;
}

function DatacardBalance(&$as, $id, &$datacards) {
    global $dc_provs;

    $data = dc_get_by_imei($datacards[$id]['IMEI']);
    if (!array_key_exists('balance_period', $data) || (($period = $data['balance_period']) === false) || ((date('H') % $period) != 0))
	return false;

    $ussdBalance = (array_key_exists('ussdBalance', $data)) ? $data['ussdBalance'] : $dc_provs[$data['prov']]['ussdBalance'];

    $result = $as->command("dongle ussd ".$id." ".$ussdBalance);
    if (is_array($result)&&($result['Response'] == 'Follows')) {
	//Проставим признак что ожидаем получение баланса
	$datacards[$id]['balance'] = "";
	//print_r($result);
	return true;
    }
    return false;
}

function DatacardsBalance(&$as, &$datacards) {
    foreach($datacards as $id => $data)
	if ($data['State'] == "Free")
	    DatacardBalance($as, $id, $datacards);
}

// -----------------------------------------------------------------
